<template>
  <div class="about_page">
    <div class="about_wrap">
      <div class="about_nav">
        <ul class="nav nav-pills pull-right">
          <li :class="{'openTab': openCloseTab, 'closeTab': !openCloseTab}" @click="setCurrentView('info-page')">О себе</li>
          <li :class="{'openTab': !openCloseTab, 'closeTab': openCloseTab}" @click="setCurrentView('blog-page')">Блог</li>
        </ul>
      </div>

      <div class="tab_container">
        <transition name="page" mode="out-in">
          <component v-bind:is="currentView" :author="author"></component>
        </transition>
      </div>
    </div>
    <div class="custom_footer">
      <my-footer></my-footer>
    </div>
  </div>
</template>


<script>
import InfoPage from './infoPage'
import BlogPage from './BlogPage'

export default {
  name: 'About',
  components: {
    'info-page': InfoPage,
    'blog-page': BlogPage
  },
  data () {
    return {
      currentView: 'info-page',
      openCloseTab: true
    }
  },
  created () {
    this.$store.dispatch('getGeneralInfo')
    this.$store.commit('setLoadpage', true)
  },
  computed: {
    author () {
      return this.$store.state.genInfo
    }
  },
  methods: {
    setCurrentView (component) {
      this.openCloseTab = component === 'info-page' ? true : false
      this.currentView = component
    }
  }
}
</script>

<style lang='scss'>

  .about_page {
    width: 100%;
    max-width: 1200px;
    margin: 0px auto;
  }

  .about_wrap {
    margin-top: 20px;
    background-color: white;
  }

  .about_nav {
    ul {
      display: flex;
      width: 100%;

      li {
        flex-grow: 1;
        text-align: center;
        padding: 10px;
        cursor: pointer;

        &.openTab {
          color: #555;
          border-top: 3px solid black;
          border-bottom: 2px solid white;

          &:first-child {
            border-right: 2px solid #ddd;
          }

          &:last-child {
            border-left: 2px solid #ddd;
          }
        }

        &.closeTab {
          color: #bbb;
          border: 2px solid transparent;
          border-bottom: 2px solid #ddd;
        }
      }
    }
  }

  @media only screen and (max-width: 768px) {
    .author_photo  {
      float: none;
      text-align: center;
    }
  }
</style>
